WoltLab Cloud Tim’s Chat 4.1.0 RC 7

Tim’s Chat is a capable chat software for your community. It convices by a seamless integration into your community, advanced permissions, it is feature rich and easily customized via the templates!


Tim’s Chat is a capable chat software for your community. It convices by a seamless integration into your community, advanced permissions, it is feature rich and easily customized via the templates!


  • The power of an application
    Tim’s Chat is a standalone application for WoltLab® Suite. This provides you with unlimited possibilites: A community based on a Chat? No problem! Tim’s Chat running on another Domain? Neither a problem!
  • Advanced Moderation
    Tim’s Chat convinces by it’s advanced moderation that leaves nothing to be desired. Users are, for example, able to manage their own temporary rooms, without affecting your predefined ones. Or maybe you want to have a trainee that may mute others, but shouldn’t be able to ban them.In case none of your moderators were present during an infringement you can view the message log in your Administrator Control Panel to warn the user afterwards.
  • Surprisingly easy to alter
    Tim’s Chat uses the well-known template engine where possible. You could, for example, change the layout of chat messages with ease in the ACP, although they are being generated on the client-side dynamically! For designers the chat provides many classes to alter the design of Tim’s Chat. Would you like your away messages in red? In Tim’s Chat, that’s not a problem!
  • Fluent chatting, even with many users!
    During development of Tim’s Chat we focused on an optimized message processing so the chat is being fun to use and messages do not take multiple seconds to load, even in growing communities!If you have got SSH access to your server, you could set up nodePush, whereby the server load will be decrease and the overall chat experience increased.

Please note: Before installation the following packages need to be installed (in the given order).


Support: Tim’s Chat in Tim’s Bastelstube
GitHub: https://github.com/wbbaddons/Tims-Chat

Images

  • Since there is no option to disable join/leave messages, can anyone advise how to alter the code to suppress these messages? There are too many of them, it is hard to follow the discussion this way

  • Does anyone know how to enable Guests access? Guests should be able to see the chat messages.

    • There is no support for guests for technical reasons.

  • Is it confirmed that it is compatible with 5.4? Thank you.

    • I am not aware of any issues with WoltLab Suite 5.4. It worked fine the last time I tested.

    • :thumbup: Thank you very much.

  • Hallo, kann man den Chat zeitlich steuern also zb. Chat Tage von Mo-Fr 20-22 Uhr ?

    • Nein, nur manuell über Gruppenrechte. Ein individuelles Plugin geht theoretisch auch.

    • Danke. Das individuelle plugin kostet? Oder wie kommt man daran.

    • Ich biete keine individuellen Entwicklungen an. Das war so zu verstehen, dass es theoretisch möglich wäre.

  • Hi,

    Ist es irgendwie möglich, diese "XXX hat den Chat betreten" und Verlassen Meldungen zu deaktivieren?

  • Meine Frage hat sich grad erübrigt, sorry. :S

  • Hi everyone,


    chat works fine on desktop but on mobile to send a message I have to press enter twice (first one goes to second line).


    Bug/feature/option I missed? Thank you very much for your replies.

    • Probably bug. What browser are you using on mobile?

    • Hi Tim,


      first of all thanks for the reply: I have tried both chrome and firefox on Android.


      Kindest regards,

    • This is strange. I don't know about any issues with Chrome on Android. Maybe it is related to the installed keyboard. Which one do you use (e.g. GBoard, SwiftKey, Swype, …)?

    • Gboard in both cases. Do you think I have to try another one? Which one do you suggest? Thank you very much for your patience.

    • Dear Tim, I tried it with Swiftboard and it works perfectly. So the problem is with GBoard. Can you confirm it, please? Thank you very much.

  • Hi, die schon erwähnte Fehlermeldung "PHP must be configured to use the MySQLnd driver, instead of libmysqlclient." erscheint bei mir obwohl mySQLnd beim Hoster aktiviert ist. Was kann ich tun ?


    Gruß

    acha

    • Das ist nicht schlüssig. Taucht in der phpinfo etwas von mysqlnd (nicht nur mysql) auf?

    • Jetzt steh ich auf dem Schlauch. Wie komm ich da denn dran. Beim Hoster finde ich nichts :(

    • Findest du unter anderem indem du im ACP auf der Startseite die PHP-Version anklickst.

    • Da find ich nichts, das ist mir auch etwas zu "hoch". Dann muss ich ihn wohl wieder deinstallieren :(

  • Wenn ich den Chat installieren möchte und das entsp. Paket auswähle erhalte ich nur ein Paket.

    Aber in der Beschreibung steht das noch zusätzliche Pakete installiert werden müssen.

    Ok hab sie gefunden bis auf

    BottleJS
    Dieses Paket kann ich leider nicht finden, wird aber zwingend für die Inst. vorausgesetzt?

    • Der Link zu BottleJS ist doch sogar in deinem Kommentar enthalten.

    • Sorry hab vergessen es zu erwähnen das ich es schlichtweg übersehen habe.


      Hat sich erledigt.Danke.

      Like 1
  • Besteht die Möglichkeit (wie in vorgängerversionen) die "... hat chat betreten" "... hat chat verlassen" Meldungen zu deaktivieren ?

    Falls Nein, ist es angedacht die zu implementieren ?

    Weil diese Meldungen sind schon arg lästig, zumal ja rechts in der Spalte steht wer online ist, da braucht es nicht noch zusätzliche diese Meldungen.

  • Was bedeutet das : PHP must be configured to use the MySQLnd driver, instead of libmysqlclient.
    Was muss ich tun?

  • Hallo Tim,

    läßt sich ein Chatfenster auf der Foren-Startseite im Bereich der Board-Liste anzeigen, und nirgendwo anders? So dass jeder registrierte User, der die Homepage aufruft, ohne weiteres betreten eines Raums was schreiben kann?

    Gruß,

    Martin

    • Nein, das ist konzeptionell nicht vorgesehen. Du suchst nach einer Shoutbox.

    • Okay, danke!

  • Servus Tim,

    ich bekomme seit Freitag ein Update angezeigt, aber davon kann man weder hier noch bei euch auf der Seite was lesen.

    Hat es seine Richtigkeit mit der angebotenen RC 4?

    Wenn ja, um was geht es bei dem Update?

    • Das Update ist hier im Pluginstore noch nicht freigeschaltet. Es korrigiert einen Fehler wodurch beim Kopieren gelöschte Nachrichten wieder sichtbar wurden, sonst sind keine Änderungen enthalten.

      Thanks 1
  • EIne Befehlsübersicht für den Chat hat man ja im ACP, aber ich suche im Moment verzweifelt nach einer Beschreibung zu den verschiedenen Befehlen mit den möglichen Parametern.

    • Etwas derartiges gibt es derzeit nicht. Zum Teil können die Parameter aber autokomplettiert werden.

  • Moin alle zusammen, haben Tims Chat bereit ebenso im alten Forum laufen gehabt, bekommen aber die Fehlermeldung beim Betreten eines Chatraumes "Die von dir angeforderte Seite wurde nicht gefunden. Bitte überprüfe die Adresse oder geh zurück auf die Startseite."
    Der Chatraum existiert ist sichtbar, und die einzelnen Benutzergruppenrechte zum Betreten wurden vergeben.
    Vlt. könnt ihr ja helfen :)

    Liebe Grüße TheFools.eu

    http://thefools.eu

    • Du hast die URLs ohne index.php aktiv. Dran gedacht die .htaccess für den Chat anzupassen?

    • Das Problem habe ich auch.. wie/ was muss ich da genau anpassen?

    • Das hängt davon ab wie deine .htaccess derzeit aussieht.

    • Ergänze da einen Eintrag entsprechend deines Chat-Ordners.

  • Hi ihr ... Wir hatten Tims Chat bereits im alten Forum, nun haben wir das Update gemacht und im neuen Chat fehlt die Funktion, Dateianhänge hochladen zu können. Ist so etwas wieder geplant oder fällt diese Funktion komplett weg?


    LG

    Jenna

    • Grundsätzlich geplant, aber es wird auf absehbare Zeit aufgrund von Zeitgründen nicht kommen.

    • Ah, vielen Dank. Dann weiß ich Bescheid und kann es so weitergeben. Es dauert eben so lange, wie es dauert. Und danke für die schnelle Antwort. ^^


      LG

      Jenna

  • Hallo, kann man irgendwie die Chatverläufe alle löschen ? Mit einem Befehl ?

    Und meine zweite Frage, kann man die Join und Leave Nachrichten abschalten ?


    MfG

  • Ich habe eine Frage bzw einen Wunsch für das Plugin.
    Die User in meinem Forum fragen nach einer Funktion, dass man User im Chat ignorieren kann.
    Quasi dass man nicht angeflüstert werden kann usw. (nicht das knebeln)

    Gibt es diese Funktion eventuell schon und ich finde sie nicht?
    Ansonsten wäre das eine klasse Änderung für die Zukunft.

    • Wenn ein Benutzer blockiert wird (durch die reguläre Blockierfunktion), dann kann dieser nicht flüstern.

    • Perfekt, danke! :)

  • Hallo,

    wird der Chat auch im neuen Release weitergeführt werden?

    • Ohne es getestet zu haben gehe ich davon aus, dass der Chat unverändert kompatibel ist.

      Like 1
    • Bei mir funktioniert der Chat nachdem ich SEO abgeschaltet habe. Komischerweise gibt es aber nur mit dem Chat ein Problem beim SEO - Test.

    • @-Kalle- Das liegt außerhalb des Einflussbereichs des Chats, du musst die Serverkonfiguration entsprechend anpassen, damit die Umschreibungen auch auf den Chat Wirkung zeigen.

      Thanks 1
    • Stimmt, der Fehler in der Umschreibungsempfehlung wurde ja inzwischen gefunden.

      Nachdem ich die Eintragungen korrigiert habe, läuft es nun.

  • After installation I was getting this error:

    "PHP must be configured to use the MySQLnd driver, instead of libmysqlclient."

    So after reading this post on Tim's page:

    https://tims.bastelstu.be/foru…32-installationsprobleme/

    I activated nd_pdo_mysql and deactivated pdo_mysql in the PHP Selector page in Cpanel, if this helps anyone.

    Like 2
  • Push isn`t available to download for 3.1 and is required for installation.


    This is the error i get trying to install be.bastelstu.chat.tar Requires the package “be.bastelstu.wcf.push” in version “2.1.0 Alpha 1” or higher, but it is neither installed nor shipped.


    Can push be attached? If not, is there an alternative way to install it?

  • Does the interface have to be yellow? Or can it be changed to blue?

    • It automatically adapts to the style of your community! So if you use a blue style the chat will be blue, if you have a green one it will be green.

      Like 2
  • Hi Tim! Welche Versionsreihe ist im WCF 2.1 lauffähig?

  • wir haben immer wieder dise Meldung:

    Scriptfehler

    Sehr geehrter Besucher,


    leider ist ein Fehler aufgetreten. Die angeforderte Seite hat einen Script-Fehler verursacht.


    Haben Sie sich vielleicht vertippt oder eine alte URL aufgerufen? Wenn nicht, informieren Sie bitte den Webmaster dieser Homepage per E-Mail. Um zu der vorherigen Seite zurückzukehren, verwenden Sie bitte einfach die "Zurück"-Taste Ihres Browsers.


    keiner vertipopte sich, dazu fliegen alle immer wieder aus dem chat, können zwar immer wieder rein aber wenn in 30 Minuten 6 m,al rausfliegst dann hast irgendwann keine Lust mehr.


    Wir haben wbb4.1 und Chat 3.0.6 und bitte jetzt nicht wieder Löschen,wie in Forum, wir suchen wirklich Händringend Hilfe. Weil so mag bald keiner mehr Chatten und das ist auch nicht gut, vor allem weil viele gerne in Chat wären, aber wegen den dauernden fehlermeldungen und Flugstunden schon nicht mehr kommen.


    Was könnte denn das Problem sein dass der so plötzlich rumzickt, war vor einigen Wochen noch nicht der Fall.

    • Die Fehlermeldung wird nicht durch den Chat verursacht. Ich vermute eine fehlerhafte .htaccess-Datei. Wende dich an deinen Webhoster.


      Unabhängig davon kann ich über Kommentare im Pluginstore keinen komplexeren Support geben.

    • ok werde ich machen.



      "Unabhängig davon kann ich über Kommentare im Pluginstore keinen komplexeren Support geben."


      Ich hatte in deinem Forum genau das selbe Problem geschildert, der Beitrag wurde gelöscht, weil es darin nicht um den 4.0 Chat ging, laut der Begründung.

      Ich fand dann aber nix zum 3.6 Chat, also blieb mir nix anderes übrig als hier zu fragen.

  • Installation auch der Zusatzpakete wie gefordert in richtiger Reihenfolge

    Chat als letztes Installiert

    eingerichtet

    Chatseite aufgerufen, eingerichtete Räume werden angezeigt

    bei Aufruf eines Raumes kommt folgende Fehlermeldung:

    PHP must be configured to use the MySQLnd driver, instead of libmysqlclient.

    wie kann ich den Fehler beheben?

  • Wenn ich die Beta 7 bereits installiert habe, kann ich dann einfach das Paket auf 4.0.0 RC 2 aktualisieren, oder gibt es da noch etwas zu beachten?

    • ISt nicht Updatefähig. Muss neu installiert werden.

      Like 1
  • Gibt es auch Bilder oder eine Demo für die Suite?

    • Kommt noch! Ich muss nur mal ein paar Leute zum „Fotos machen“ in den Chat holen :)

    • Du kannst den Chat aber bei mir in der Bastelstube testen.

  • Moin,

    Wenn ich einen Raum öffnen will Kommt folgende Meldung .
    Die von Ihnen angeforderte Seite wurde nicht gefunden. Bitte überprüfen Sie die Adresse oder gehen Sie zurück auf die Startseite.

  • JA! Endlich ist es wieder da ^^


    <3

  • Quote

    Benötigt das Paket „be.bastelstu.core-js“ in Version „2.4.1“ oder höher, dies ist aber weder installiert noch wird es mitgeliefert.

    Wird das Paket bewusst nicht mitgeliefert?